Subject: Re: #1316 - 23.0.60; Image display OSX carbon - Emacs bug report logs

From: Adrian Robert <[email-masked]>
Date: Mon, 24 Nov 2008 20:01:07 -0500

OK, in some sort of JPEG metadata (I'm not familiar with this, but  
wonder if ImageMagick lets you control it) the first says "250 DPI"  
and the second "72 DPI".  If you are on a Mac (maybe Leopard  
necessary) you can see the effect by opening in Preview, then in  
Preview's prefs toggle the 'Images'
| 'Default Image Size' option back and forth.

Emacs.app currently respects the DPI.  Perhaps it should be changed to  
ignore it?  (I don't like the idea of an option, unless other  
platforms could be talked into supporting it.)

-Adrian

On Nov 24, 2008, at 6:35 PM, Klymak Jody wrote:

>
> Hi Adrian,
>
> A jpeg is attached.  It shows up as 3.4 x 3.5cm on my screen at 96  
> dpi when I run with Emacs -Q and open from dired.
>
> In Emacs 22.3.1 on the same machine it shows up as 11x12 cm.
>
> OTOH, you are right - many jpegs from my collection seem to show up  
> fine, so it must be a difference in how I've made this one.  These  
> are just made using imagemagick's convert, so I can't be the only  
> one who has problems. The problem also manifests itself in pngs made  
> by docview mode.
>
> The second file is one that looks fine on both versions of emacs.
>
> Thanks,  Jody
>
>
>
>
>
>
> --
> Jody Klymak
> http://web.uvic.ca/~jklymak/
>
>
>
>
>